Bug 796014 - The insertion cursor of the TextWidget has border line of the widget at the left end when XmNmarginWidth < 3.
The insertion cursor of the TextWidget has border line of the widget at the l...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openmotif (Show other bugs)
6.2
All All
urgent Severity high
: rc
: ---
Assigned To: Thomas Woerner
BaseOS QE - Apps
: Patch, ZStream
Depends On:
Blocks: 866496
  Show dependency treegraph
 
Reported: 2012-02-21 22:06 EST by Akira YOSHIYAMA
Modified: 2013-11-14 05:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, the insertion cursor of a text widget could have a shadow border line under certain settings. This bug has been fixed and the cursor now displays correctly at all times.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 05:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A test program (540 bytes, application/octet-stream)
2012-02-21 22:07 EST, Akira YOSHIYAMA
no flags Details
A patch to fix the problem (4.96 KB, patch)
2012-02-21 22:09 EST, Akira YOSHIYAMA
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
MotifZone 1552 None None None 2012-06-05 22:42:23 EDT

  None (edit)
Description Akira YOSHIYAMA 2012-02-21 22:06:12 EST
Description of problem:
When the value of XmNmarginWidth of the TextWidget is less than 3,
the insertion cursor area has extra border line of the widget.

Version-Release number of selected component (if applicable):
openmotif-2.3.3-4

How reproducible:
Always

Steps to Reproduce:
1. Create a TextWidget.
2. Set XmNmarginWidth at the TextWidget to 2.
3. Type some characters in the TextWidget.
4. Move the insertion cursor of the TextWidget on both side of the first
character.

Actual results:
The left shadow border line of the TextWidget widens under the cursor.

Expected results:
Text insertion cursor brinks normally without any other influence.

Additional info:
Currently, there are 3 position calculation for:
   a) IBeamOffArea
   b) IBeam (blink on)
   c) IBeam (blink off)

So, there are cases that positions of b) and c) are different from a).

See the upstream bug report:
http://bugs.motifzone.net/show_bug.cgi?id=1552
Comment 1 Akira YOSHIYAMA 2012-02-21 22:07:57 EST
Created attachment 564823 [details]
A test program
Comment 2 Akira YOSHIYAMA 2012-02-21 22:09:01 EST
Created attachment 564824 [details]
A patch to fix the problem
Comment 5 Suzanne Yeghiayan 2012-05-14 15:02:43 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Akira YOSHIYAMA 2012-06-05 22:42:23 EDT
A new patch was proposed at upstream. Please check below:
http://bugs.motifzone.net/show_bug.cgi?id=1552

Note You need to log in before you can comment on or make changes to this bug.